Get live chat count over time periods
POST
/openapi/reporting/instantmessageschatscount
const url = 'https://open-api.replyco.com/openapi/reporting/instantmessageschatscount';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '{ "timezoneOffset": 1, "from": "2026-04-15T12:00:00Z", "to": "2026-04-15T12:00:00Z", "accountIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "marketplaces": [ "0 - PlaceholderDoNotUse" ], "ignoreBlockedCustomers": true, "ignoreInActiveTickets": true, "useWorkingHours": true, "userIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://open-api.replyco.com/openapi/reporting/instantmessageschatscount \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '{ "timezoneOffset": 1, "from": "2026-04-15T12:00:00Z", "to": "2026-04-15T12:00:00Z", "accountIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "marketplaces": [ "0 - PlaceholderDoNotUse" ], "ignoreBlockedCustomers": true, "ignoreInActiveTickets": true, "useWorkingHours": true, "userIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Returns chat volume statistics grouped by time intervals.
Time grouping:
- Hourly
- Daily
- Weekly
- Monthly
Metrics included:
- Chats per period
- Volume trends
- Peak activity times
- Growth patterns
Use cases:
- Chat volume forecasting
- Staffing optimization
- Capacity planning
- Trend analysis
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Instant messages filter with date range
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
userIds
Array<string>
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
userIds
Array<string>
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
userIds
Array<string>
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
userIds
Array<string>
Responses
Section titled “Responses”Returns chats per time report
Invalid filter parameters
User is not authenticated or authorized